Bug 499983 - Review Request: mingw32-libsoup - MinGW library for HTTP and XML-RPC functionality
Review Request: mingw32-libsoup - MinGW library for HTTP and XML-RPC function...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Sailer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 499992
  Show dependency treegraph
 
Reported: 2009-05-09 15:51 EDT by Erik van Pienbroek
Modified: 2009-05-25 17:16 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.26.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 17:16:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
t.sailer: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2009-05-09 15:51:50 EDT
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-libsoup.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-libsoup-2.26.1-1.fc11.src.rpm
Description:
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1345258

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Thomas Sailer 2009-05-22 06:54:53 EDT
Fedora review http://www.ftd4linux.nl/contrib/mingw32-libsoup-2.26.1-1.fc11.src.rpm 2009-05-22

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1370211

rpmlint output:
$ rpmlint mingw32-libsoup*
mingw32-libsoup.src: W: invalid-license LPLv2
mingw32-libsoup.src: W: mixed-use-of-spaces-and-tabs (spaces: line 43, tab: line 7)
mingw32-libsoup.noarch: W: invalid-license LPLv2
mingw32-libsoup.src: W: invalid-license LPLv2
mingw32-libsoup.src: W: mixed-use-of-spaces-and-tabs (spaces: line 43, tab: line 7)
mingw32-libsoup.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 43, tab: line 7)
mingw32-libsoup-static.noarch: W: invalid-license LPLv2
mingw32-libsoup-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libsoup-2.4.a
mingw32-libsoup-static.noarch: W: no-documentation
4 packages and 1 specfiles checked; 1 errors, 8 warnings.

As per Packaging/MinGW, these errors can be ignored, except for the mixed-use-of-spaces-and-tabs.

+ OK
! needs attention


+ rpmlint output
+ Package is named according to Fedora MinGW packaging guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora MinGW packaging guidelines
  version seems to be slightly ahead of native (1.1 vs. 1.0) please try to
  stick to the native version
+ License meets guidelines and is acceptable to Fedora
  LGPLv2
! License matches the actual package license
  Presumably "LPLv2" is a typo, should be "LGPLv2"
  It is also the same as in the corresponding Fedora libsoup package
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
! Please fix the tabs-vs-spaces issue
+ Upstream sources match sources in the srpm
94c0495dc8bf213709bdb175ab224c7e  libsoup-2.26.1.tar.bz2
94c0495dc8bf213709bdb175ab224c7e  x/libsoup-2.26.1.tar.bz2

n/a Package builds in mock
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
+ Static libraries should be in -static
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8
! use %global instead of %define
Comment 2 Erik van Pienbroek 2009-05-22 09:11:45 EDT
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-libsoup.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-libsoup-2.26.1-2.fc11.src.rpm

* Fri May 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.26.1-2
- Fixed license typo
- Use %%global instead of %%define
- Fixed mixed-use-of-spaces-and-tabs rpmlint warning
Comment 3 Thomas Sailer 2009-05-22 09:57:02 EDT
APPROVED by sailer
Comment 4 Erik van Pienbroek 2009-05-22 11:13:14 EDT
New Package CVS Request
=======================
Package Name: mingw32-libsoup
Short Description: MinGW library for HTTP and XML-RPC functionality
Owners: epienbro rjones
Branches: F-10 F-11
InitialCC:
Comment 5 Kevin Fenzi 2009-05-23 01:38:05 EDT
cvs done.
Comment 6 Fedora Update System 2009-05-24 08:56:34 EDT
mingw32-libsoup-2.26.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libsoup-2.26.1-2.fc11
Comment 7 Fedora Update System 2009-05-25 17:16:07 EDT
mingw32-libsoup-2.26.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.